/**
*Quota App
* There are different ways implementing an App
*/
var QuotaApp = QuotaApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
QuotaApp.App = function () {
    this.id = 'Quota';
    this.name = 'Quota';
    this.version = '6.0.16';
    this.active = false;
    this.menuIcon = '/apps/quota/images/logo.png?v=6.0.16&';
    this.shortcutIcon = '/apps/quota/images/logo.png?v=6.0.16&';
    this.entryUrl = '/apps/quota/quota.html?v=6.0.16&';
    //this.entryHelpUrl = '/apps/quota/quota_help.html?v=6.0.16&';
    var self = this;
    this.QuotaAppWindow = function () { //create app window
        if(UNAS.CheckAppState('Quota')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'QuotaAppWindow',
            title: UNAS._('Quota'),
            icon: '/apps/quota/images/logo_small.png?v=6.0.16&',
            width: 800,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            loadMethod: 'xhr',
            contentURL: '/apps/quota/quota.html?v=6.0.16&',
            require: {  css: ['/apps/quota/css/quota.css?v=6.0.16'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Quota",'QuotaAppWindow')}
        });
    };
    this.QuotaAppUninstall = function (){
        UNAS.RemoveDesktopShortcut('Quota');
        UNAS.RemoveMenu('Quota');
        UNAS.RemoveAppFromGroups('Quota', 'ControlPanel');
        UNAS.RemoveAppFromGroups('Quota', 'Help');
        UNAS.RemoveAppFromApps('Quota');
    };
    new UNAS.Menu('UNAS_ControlPanel_Account_Menu', this.name, this.menuIcon, 'Quota', '', this.QuotaAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Quota', this.QuotaAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Account', 'Location' : 3, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Account', 'Location' : 3, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});

    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Quota', UNAS._('Quota')); //translate menu
        //UNAS.SetShortcutTitle('Quota', UNAS._('Quota')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            //need to translate the window title, menu and shortcut
            UNAS.SetWindowTitle('QuotaAppWindow', UNAS._('Quota'));
        }
    }
    UNAS.LoadTranslation('/apps/quota/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name,this.shortcutIcon,this.QuotaAppWindow,this.QuotaAppUninstall);
};

new QuotaApp.App(); //Create app